unit uEditorDetalleEtiqueta;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit,
  cxDropDownEdit, cxCalendar, ExtCtrls, uEditorBasico, uIEditorDetalleEtiqueta,
  cxGraphics, cxLookAndFeels, cxLookAndFeelPainters, cxSpinEdit;

type
  TfEditorDetalleEtiqueta = class(TfEditorBasico, IEditorDetalleEtiqueta)
    Label1: TLabel;
    bAceptar: TButton;
    bCancelar: TButton;
    Panel1: TPanel;
    eMercancia: TcxTextEdit;
    Label2: TLabel;
    eBultos: TcxSpinEdit;
    procedure eMercanciaPropertiesEditValueChanged(Sender: TObject);
    procedure eBultosPropertiesEditValueChanged(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    FMercancia : String;
    FBultos : Integer;
    function GetMercancia: String;
    procedure SetMercancia(const Value: String);

    function GetBultos: Integer;
    procedure SetBultos(const Value: Integer);

  public
    property Mercancia: String Read GetMercancia write SetMercancia;
    property Bultos: Integer Read GetBultos write SetBultos;    
  end;

implementation

{$R *.dfm}

procedure TfEditorDetalleEtiqueta.eBultosPropertiesEditValueChanged(Sender: TObject);
begin
  Bultos := eBultos.EditValue;
end;

procedure TfEditorDetalleEtiqueta.eMercanciaPropertiesEditValueChanged(Sender: TObject);
begin
  Mercancia := eMercancia.EditValue;
end;

procedure TfEditorDetalleEtiqueta.FormShow(Sender: TObject);
begin
  FBultos := 1;
  FMercancia := '';
end;

function TfEditorDetalleEtiqueta.GetBultos: Integer;
begin
  Result := FBultos;
end;

function TfEditorDetalleEtiqueta.GetMercancia: String;
begin
  Result := FMercancia;
end;

procedure TfEditorDetalleEtiqueta.SetBultos(const Value: Integer);
begin
  FBultos := Value;
end;

procedure TfEditorDetalleEtiqueta.SetMercancia(const Value: String);
begin
  FMercancia := Value;
end;

end.
